=== examples/tutorial_four/CMakeLists.txt ===
########### Tutorial four ##############
add_executable(tutorial_four simpleskeleton.cpp)

target_link_libraries(tutorial_four indidriver)
