=== examples/tutorial_one/CMakeLists.txt ===
########### Tutorial one ##############
add_executable(tutorial_one simpledevice.cpp)

target_link_libraries(tutorial_one indidriver)
