=== examples/tutorial_six/CMakeLists.txt ===
########### Tutorial Six ##############
add_executable(tutorial_client tutorial_client.cpp)

target_link_libraries(tutorial_client indiclient)
