=== debian/changelog ===
libindi (1.1.0-1ubuntu1) xenial; urgency=medium

  * Mark symbols as optional, when built with -O3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 14:00:02 +0100

libindi (1.1.0-1) unstable; urgency=medium

  * New upstream release (1.1.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Jan 2016 16:06:38 +0100

libindi (1.0.0-4) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #806834)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 11:09:08 +0100
