=== debian/watch ===
version=3

http://sf.net/indi/libindi_([\d.]+)\.tar\.gz
