=== debian/changelog ===
libindi (1.2.0-3) unstable; urgency=medium

  * Force build against libnova-dev 0.16
  * Drop libgsl0-dev build dep

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Oct 2016 10:41:34 +0200

libindi (1.2.0-2) unstable; urgency=medium

  * Fix libcfitsio-dev -dev dependency.
    Thanks to Aurelien Jarno for the report/reminder (Closes: 841219)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 17:26:10 +0200

libindi (1.2.0-2~) unstable; urgency=medium

  * Update symbols files to make it compatible with gcc-6.
    (Closes: 811961) Thanks to Martin Michlmayr for the report.
  * Update patch: freebsd_support (Closes: 830732)
  * Update symbols files to make then compatible with kfreebsd

 -- Maximiliano Curia <maxy@debian.org>  Thu, 14 Jul 2016 15:23:08 +0200

libindi (1.2.0-1) unstable; urgency=medium

  * Fix kfreebsd-i386 symbols. (Closes: #816443) Thanks to Steven Chamberlain
    for the report.
  * New upstream release (1.2.0).
  * Update symbols files
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Apr 2016 15:14:11 +0200

libindi (1.1.0-2) unstable; urgency=medium

  * Update patch freebsd_support, use system includes for the libusb.h
    header. (Closes: 816333) Thanks to Steven Chamberlain for the patch.
  * Update symbols from 1.1.0-1 buildlogs.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Mar 2016 11:48:22 +0100
