=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
                libcfitsio-dev,
                libcurl4-gnutls-dev,
                libgsl-dev,
-               libgsl0-dev,
                libjpeg-dev,
-               libnova-dev (>= 0.14.0),
+               libnova-dev (>= 0.16),
                libusb-1.0-0-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.indilib.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/krap/libindi.git
@@ -90,7 +89,7 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libcfitsio3-dev,
+Depends: libcfitsio-dev,
          libindi1 (= ${binary:Version}),
          libindialignmentdriver1 (= ${binary:Version}),
          libindidriver1 (= ${binary:Version}),
@@ -132,21 +131,3 @@
  .
  This package contains the INDI server, the drivers for the supported
  astronomical instrumentation, and other INDI tools.
-
-Package: indi-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libindi1 (= ${binary:Version}), ${misc:Depends}
-Suggests: indi-bin (= ${binary:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: Instrument-Neutral Device Interface library -- debug symbols
- INDI (Instrument-Neutral Device Interface) is a distributed XML-based
- control protocol designed to operate astronomical instrumentation.
- INDI is small, flexible, easy to parse, scalable, and stateless.
- It supports common DCS functions such as remote control, data acquisition,
- monitoring, and a lot more.
- .
- This package contains the debug symbols for the INDI library and all the
- utilities, useful to investigate problems in INDI.
