=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
 override_dh_strip:
-	dh_strip --dbg-package=indi-dbg
+	dh_strip --dbgsym-migration='indi-dbg (<= 1.2.0-1~~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
